{
    "author": "Marcela Vergara - Mijahil Franchi",
    "description": "Module to interact with SQL Server with queries and SPs",
    "description_lang":{
        "en": "Connect to SQLServer and manage all your databases, execute custom queries, import and export data, create and execute stored procedures.",
        "es": "Conéctese a SQL Server y administre todas sus bases de datos, ejecute consultas personalizadas, importe y exporte datos, cree y ejecute procedimientos almacenados.",
        "pr": "Conecte-se ao SQL Server e gerencie todos os seus bancos de dados, execute consultas personalizadas, importe e exporte dados, crie e execute procedimentos armazenados."
    },
    "disclaimer": "THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.",
    "version": "6.10.11",
    "license": "MIT",
    "homepage": "http://rocketbot.com",
    "linux": false,
    "windows": true,
    "mac": false,
    "docker": true,
    "name": "SQLServer_",
    "type": "module",
    "dependencies": {
      "sqlalchemy": "1.4.41",
      "pyodbc": "4.0.35"
    },
    "title": {
        "en": "SQLServer",
        "es": "SQLServer",
        "pr": "SQLServer"
    },
    "icon": "data:image/png;base64,[encoded data, 21912 characters]",
    "children": [
        {
            "en": {
                "title": "SQLServer Connection",
                "description": "Connect to SQLServer database",
                "title_options": "Select Option",
                "options": null
            },
            "es": {
                "title": "Conexión a SQLServer",
                "description": "Conectarse a la base de datos de SQLServer",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "pr": {
                "title": "Conexão com SQLServer",
                "description": "Conectar ao banco de dados SQLServer",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "inputs": [
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Conn1",
                            "en": "Conn1",
                            "pr": "Conn1"
                        },
                        "title": {
                            "es": "Sesión:",
                            "en": "Session:",
                            "pr": "Sessão"
                        },
                        "description": {
                            "es": "Nombre de la sesión",
                            "en": "Session name",
                            "pr": "Nome da sessão"
                        },
                        "id": "session",
                        "css": "col-md-4",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "DESKTOP-T2319IB\\SQLEXPRESS",
                            "en": "DESKTOP-T2319IB\\SQLEXPRESS",
                            "pr": "DESKTOP-T2319IB\\SQLEXPRESS"
                        },
                        "title": {
                            "es": "Servidor",
                            "en": "Server",
                            "pr": "Server"
                        },
                        "description": {
                            "es": "Nombre del servidor",
                            "en": "Server name",
                            "pr": "Nome do servidor"
                        },
                        "id": "server",
                        "css": "col-md-4",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "{ODBC Driver 17 for SQL Server}",
                            "en": "{ODBC Driver 17 for SQL Server}",
                            "pr": "{ODBC Driver 17 for SQL Server}"
                        },
                        "title": {
                            "es": "Driver",
                            "en": "Driver",
                            "pr": "Driver"
                        },
                        "description": {
                            "es": "Nombre del driver",
                            "en": "Driver name",
                            "pr": "Nome do driver"
                        },
                        "id": "driver",
                        "css": "col-md-4",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "test",
                            "en": "test",
                            "pr": "test"
                        },
                        "title": {
                            "es": "Nombre de BD",
                            "en": "BD Name",
                            "pr": "Nome do BD"
                        },
                        "description": {
                            "es": "Nombre de la base de datos",
                            "en": "Database name",
                            "pr": "Nome do banco de dados"
                        },
                        "id": "database",
                        "css": "col-md-4",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "usertest",
                            "en": "usertest",
                            "pr": "usertest"
                        },
                        "title": {
                            "es": "Usuario de la BD",
                            "en": "User BD",
                            "pr": "Usuário do BD"
                        },
                        "description": {
                            "es": "Usuario de la base de datos",
                            "en": "Database user",
                            "pr": "Usuário do banco de dados"
                        },
                        "id": "user",
                        "css": "col-md-4",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "passtest",
                            "en": "passtest",
                            "pr": "passtest"
                        },
                        "title": {
                            "es": "Contraseña de BD",
                            "en": "Pass BD",
                            "pr": "Senha do BD"
                        },
                        "description": {
                            "es": "Contraseña del usuario de la base de datos",
                            "en": "Database user password",
                            "pr": "Senha do usuário do banco de dados"
                        },
                        "id": "password",
                        "css": "col-md-4",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Variable",
                            "en": "Variable",
                            "pr": "Variable"
                        },
                        "title": {
                            "es": "Asignar a variable:",
                            "en": "Assign to var:",
                            "pr": "Atribuir a variável:"
                        },
                        "description": {
                            "es": "Variable donde se almacenará el resultado de la conexión",
                            "en": "Variable where the result of the connection will be stored",
                            "pr": "Variável onde o resultado da conexão será armazenado"
                        },
                        "remove_vars": true,
                        "id": "var",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    }
                ]
            },
            "video_youtube": "aMV6cXPMMSo",
            "icon": "data:image/png;base64,[encoded data, 21968 characters]",
            "module": "connectionBD",
            "module_name": "SQLServer_",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": true
        },
        {
            "en": {
                "title": "Query SQLServer",
                "description": "Make a query to a SQLServer database",
                "title_options": "Select Option",
                "options": null
            },
            "es": {
                "title": "Consulta SQLServer",
                "description": "Hacer una consulta a una base de datos de SQLServer",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "pr": {
                "title": "Consulta SQLServer",
                "description": "Faça uma consulta a um banco de dados do SQLServer",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "inputs": [
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "select * from test",
                            "en": "select * from test",
                            "pr": "select * from test"
                        },
                        "title": {
                            "es": "Consulta SQL",
                            "en": "SQL Query",
                            "pr": "Consulta SQL"
                        },
                        "description": {
                            "es": "Consulta que se ejecutará en la base de datos",
                            "en": "Query to execute in the database",
                            "pr": "Consulta que será executada no banco de dados"
                        },
                        "id": "query",
                        "css": "col-md-12",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Conn1",
                            "en": "Conn1",
                            "pr": "Conn1"
                        },
                        "title": {
                            "es": "Sesión:",
                            "en": "Session:",
                            "pr": "Sessão"
                        },
                        "description": {
                            "es": "Nombre de la sesión de conexión",
                            "en": "Connection session name",
                            "pr": "Nome da sessão de conexão"
                        },
                        "id": "session",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Variable",
                            "en": "Variable",
                            "pr": "Variable"
                        },
                        "title": {
                            "es": "Asignar a variable:",
                            "en": "Assign to var:",
                            "pr": "Assign to var:"
                        },
                        "description": {
                            "es": "Nombre de la variable a la que se asignará el resultado de la consulta",
                            "en": "Name of the variable to which the result of the query will be assigned",
                            "pr": "Nome da variável à qual o resultado da consulta será atribuído"
                        },
                        "remove_vars": true,
                        "id": "var",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    }
                ]
            },
            "video_youtube": "",
            "icon": "data:image/png;base64,[encoded data, 27148 characters]",
            "module": "QueryBD",
            "module_name": "SQLServer_",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": true
        },
        {
            "en": {
                "title": "Insert SQLServer",
                "description": "Insert data in a SQLServer database",
                "title_options": "Select Option",
                "options": null
            },
            "es": {
                "title": "Insertar SQLServer",
                "description": "Insertar datos en una base de datos SQLServer",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "pr": {
                "title": "Inserir SQLServer",
                "description": "Inserir dados em um banco de dados SQLServer",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "inputs": [
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "insert into test (id, name)",
                            "en": "insert into test (id, name)",
                            "pr": "insert into test (id, name)"
                        },
                        "title": {
                            "es": "Insert Query:",
                            "en": "Insert Query:",
                            "pr": "Insert Query:"
                        },
                        "description": {
                            "es": "Insert a ejecutar, sin incluir los valores",
                            "en": "Insert to execute, without including the values",
                            "pr": "Insert to execute, without including the values"
                        },
                        "help": {
                            "es": "Los valores se ingresan en el siguiente campo",
                            "en": "Values are entered in the next field",
                            "pr": "Os valores são inseridos no próximo campo"
                        },
                        "id": "query",
                        "css": "col-md-12",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "('15', 'Rocketbot')",
                            "en": "('15', 'Rocketbot')",
                            "pr": "('15', 'Rocketbot')"
                        },
                        "title": {
                            "es": "Valores:",
                            "en": "Values:",
                            "pr": "Valores:"
                        },
                        "description": {
                            "es": "Valores a insertar en la tabla, cada valor debe estar entre comillas simples y separados por comas",
                            "en": "Values to insert in the table, each value must be in single quotes and separated by commas",
                            "pr": "Valores a inserir na tabela, cada valor deve estar entre aspas simples e separados por vírgulas"
                        },
                        "help": {
                            "es": "Valores a insertar en la tabla, cada valor debe estar entre comillas simples y separados por comas",
                            "en": "Values to insert in the table, each value must be in single quotes and separated by commas",
                            "pr": "Valores a inserir na tabela, cada valor deve estar entre aspas simples e separados por vírgulas"
                        },
                        "id": "values",
                        "css": "col-md-12",
                        "data_type": "tuple",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Conn1",
                            "en": "Conn1",
                            "pr": "Conn1"
                        },
                        "title": {
                            "es": "Sesión:",
                            "en": "Session:",
                            "pr": "Sessão"
                        },
                        "description": {
                            "es": "Nombre de la sesión a utilizar",
                            "en": "Name of the session to use",
                            "pr": "Nome da sessão a ser usada"
                        },
                        "id": "session",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Variable",
                            "en": "Variable",
                            "pr": "Variable"
                        },
                        "title": {
                            "es": "Asignar a variable:",
                            "en": "Assign to var:",
                            "pr": "Assign to var:"
                        },
                        "description": {
                            "es": "Asignar el resultado a una variable",
                            "en": "Assign the result to a variable",
                            "pr": "Atribuir o resultado a uma variável"
                        },
                        "remove_vars": true,
                        "id": "var",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    }
                ]
            },
            "video_youtube": "",
            "icon": "data:image/png;base64,[encoded data, 27148 characters]",
            "module": "InsertDB",
            "module_name": "SQLServer_",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": true
        },
        {
            "en": {
                "title": "Export data",
                "description": "Export data from a SQLServer database",
                "title_options": "Select Option",
                "options": null
            },
            "es": {
                "title": "Exportar datos",
                "description": "Exportar datos desde una base de datos de SQLServer",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "pr": {
                "title": "Exportar dados",
                "description": "Exportar dados de um banco de dados SQLServer",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "inputs": [
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Conn1",
                            "en": "Conn1",
                            "pr": "Conn1"
                        },
                        "title": {
                            "es": "Sesión:",
                            "en": "Session:",
                            "pr": "Sessão"
                        },
                        "description": {
                            "es": "Nombre de la sesión a utilizar",
                            "en": "Name of the session to use",
                            "pr": "Nome da sessão a ser usada"
                        },
                        "id": "session",
                        "css": "col-md-4",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "select * from test",
                            "en": "select * from test",
                            "pr": "select * from test"
                        },
                        "title": {
                            "es": "Consulta SQL",
                            "en": "SQL Query",
                            "pr": "Consulta SQL"
                        },
                        "description": {
                            "es": "Consulta SQL a ejecutar",
                            "en": "SQL query to execute",
                            "pr": "Consulta SQL para executar"
                        },
                        "id": "query",
                        "css": "col-md-8",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "file_new",
                        "placeholder": {
                            "es": "Ruta",
                            "en": "Path",
                            "pr": "Caminho"
                        },
                        "title": {
                            "es": "Ruta del archivo",
                            "en": "File path",
                            "pr": "Caminho de arquivo"
                        },
                        "description": {
                            "es": "Ruta del archivo a exportar",
                            "en": "File path to export",
                            "pr": "Caminho do arquivo para exportar"
                        },
                        "help": {
                            "es": "Coloque la ruta del archivo a exportar",
                            "en": "Enter the file path to export",
                            "pr": "Digite o caminho do arquivo para exportar"
                        },
                        "id": "path_file",
                        "css": "col-md-12",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "file_select",
                        "placeholder": {
                            "es": "Ruta",
                            "en": "Path",
                            "pr": "Caminho"
                        },
                        "title": {
                            "es": "Ruta del archivo base",
                            "en": "Base file path",
                            "pr": "Caminho do arquivo base"
                        },
                        "description": {
                            "es": "Archivo base. Es de utilidad en caso de que se quiera exportar con un formato o cabeceras específicas",
                            "en": "Base file. It is useful in case you want to export with a specific format or headers",
                            "pr": "Arquivo base. É útil caso você queira exportar com um formato ou cabeçalhos específicos"
                        },
                        "help": {
                            "es": "Coloque la ruta del archivo base donde se va a exportar",
                            "en": "Enter the base file path where it will be exported",
                            "pr": "Coloque o caminho do arquivo base onde ele será exportado"
                        },
                        "id": "path_file_base",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Hoja1",
                            "en": "Sheet1",
                            "pr": "Folha1"
                        },
                        "title": {
                            "es": "Nombre de hoja",
                            "en": "Sheet name",
                            "pr": "Nome da folha"
                        },
                        "description": {
                            "es": "Nombre de la hoja donde se va a exportar",
                            "en": "Name of the sheet where it will be exported",
                            "pr": "Nome da folha onde será exportado"
                        },
                        "id": "sheet_name",
                        "css": "col-md-3",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Celda",
                            "en": "Cell",
                            "pr": "Celula"
                        },
                        "title": {
                            "es": "Celda",
                            "en": "Cell",
                            "pr": "Celula"
                        },
                        "description": {
                            "es": "Celda donde se va a exportar",
                            "en": "Cell where it will be exported",
                            "pr": "Célula onde será exportado"
                        },
                        "id": "cell_name",
                        "css": "col-md-3",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    }
                ]
            },
            "video_youtube": "",
            "icon": "data:image/png;base64,[encoded data, 27148 characters]",
            "module": "ExportData",
            "module_name": "SQLServer_",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": true
        },
        {
            "en": {
                "title": "Import data",
                "description": "Import data to a SQLServer database",
                "title_options": "Select Option",
                "options": null
            },
            "es": {
                "title": "Importar datos",
                "description": "Importar datos a una base de datos SQLServer",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "pr": {
                "title": "Importar dados",
                "description": "Importar dados para um banco de dados SQLServer",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "inputs": [
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Conn1",
                            "en": "Conn1",
                            "pr": "Conn1"
                        },
                        "title": {
                            "es": "Sesión:",
                            "en": "Session:",
                            "pr": "Sessão"
                        },
                        "description": {
                            "es": "Nombre de la sesión de conexión",
                            "en": "Connection session name",
                            "pr": "Nome da sessão de conexão"
                        },
                        "id": "session",
                        "css": "col-md-3",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Hoja1",
                            "en": "Sheet1",
                            "pr": "Folha1"
                        },
                        "title": {
                            "es": "Nombre de hoja",
                            "en": "Sheet name",
                            "pr": "Nome da folha"
                        },
                        "description": {
                            "es": "Nombre de la hoja de cálculo a importar",
                            "en": "Name of the spreadsheet to import",
                            "pr": "Nome da planilha para importar"
                        },
                        "id": "hoja",
                        "css": "col-md-3",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "dbo",
                            "en": "dbo",
                            "pr": "dbo"
                        },
                        "title": {
                            "es": "Schema de la tabla",
                            "en": "Table schema",
                            "pr": "Esquema da tabela"
                        },
                        "description": {
                            "es": "Esquema de la tabla SQL a importar. Por defecto, dbo.",
                            "en": "Schema of the SQL table to import. By default, dbo.",
                            "pr": "Esquema da tabela SQL para importar. Por padrão, dbo."
                        },
                        "id": "schema",
                        "css": "col-md-3",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Tabla",
                            "en": "Table",
                            "pr": "Tabela"
                        },
                        "title": {
                            "es": "Nombre de la tabla a importar",
                            "en": "Name of the table to import",
                            "pr": "Nome da tabela a importar"
                        },
                        "description": {
                            "es": "Nombre de la tabla SQL donde se importarán los datos. Si no existe, se creará.",
                            "en": "Name of the SQL table where the data will be imported. If it does not exist, it will be created.",
                            "pr": "Nome da tabela SQL onde os dados serão importados. Se não existir, será criado."
                        },
                        "id": "tabla",
                        "css": "col-md-3",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "file_select",
                        "placeholder": {
                            "es": "Ruta",
                            "en": "Path",
                            "pr": "Caminho"
                        },
                        "title": {
                            "es": "Ruta del archivo base",
                            "en": "Base file path",
                            "pr": "Caminho do arquivo base"
                        },
                        "description": {
                            "es": "Ruta del archivo base a importar",
                            "en": "Base file path to import",
                            "pr": "Caminho do arquivo base para importar"
                        },
                        "id": "path_file",
                        "css": "col-md-12",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "2000",
                            "en": "2000",
                            "pr": "2000"
                        },
                        "title": {
                            "es": "Tamaño del lote",
                            "en": "Batch size",
                            "pr": "Tamanho do batch"
                        },
                        "description": {
                            "es": "Las filas se escribirán en lotes de este tamaño a la vez. Por defecto, todas las filas se escribirán a la vez.",
                            "en": "Rows will be written in batches of this size at a time. By default, all rows will be written at once.",
                            "pr": "As linhas serão gravadas em lotes desse tamanho por vez. Por padrão, todas as linhas serão gravadas de uma só vez."
                        },
                        "id": "chunk",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "select",
                        "title": {
                            "es": "Metodo",
                            "en": "Method",
                            "pr": "Método"
                        },
                        "options": [
                            {
                                "title": "--Seleccione--",
                                "value": ""
                            },
                            {
                                "title": "One INSERT per row",
                                "value": "None"
                            },
                            {
                                "title": "Multiple rows per INSERT",
                                "value": "multi"
                            }
                        ],
                        "id": "method",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    }

                ]
            },
            "video_youtube": "",
            "icon": "data:image/png;base64,[encoded data, 27148 characters]",
            "module": "importData",
            "module_name": "SQLServer_",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": true
        },
        {
            "en": {
                "title": "Download File",
                "description": "Download File from a SQL Server Database",
                "title_options": "Select Option",
                "options": null
            },
            "es": {
                "title": "Descarga Archivo",
                "description": "Descarga Archivos desde una base de datos de SQLServer",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "pr": {
                "title": "Baixar Arquivo",
                "description": "Baixar Arquivo de um Banco de Dados SQL Server",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "inputs": [
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Conn1",
                            "en": "Conn1",
                            "pr": "Conn1"
                        },
                        "title": {
                            "es": "Sesión:",
                            "en": "Session:",
                            "pr": "Sessão"
                        },
                        "description": {
                            "es": "Nombre de la sesión a utilizar",
                            "en": "Name of the session to use",
                            "pr": "Nome da sessão a ser usada"
                        },
                        "id": "session",
                        "css": "col-md-4",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "EXEC up_Archivos_Select @IdArchivoTipo = 56, @IdPropietario = 1718029",
                            "en": "EXEC up_Archivos_Select @IdArchivoTipo = 56, @IdPropietario = 1718029",
                            "pr": "EXEC up_Archivos_Select @IdArchivoTipo = 56, @IdPropietario = 1718029"
                        },
                        "title": {
                            "es": "Consulta SQL",
                            "en": "SQL Query",
                            "pr": "Consulta SQL"
                        },
                        "description": {
                            "es": "Consulta SQL a ejecutar",
                            "en": "SQL query to execute",
                            "pr": "Consulta SQL para executar"
                        },
                        "id": "query",
                        "css": "col-md-8",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "folder_select",
                        "placeholder": {
                            "es": "C:/Users/Downloads/",
                            "en": "C:/Users/Downloads/",
                            "pr": "C:/Users/Downloads/"
                        },
                        "title": {
                            "es": "Ruta donde se guardara el archivo",
                            "en": "Path where the file will be saved",
                            "pr": "Caminho onde o arquivo será salvo"
                        },
                        "description": {
                            "es": "Ruta donde se guardara el archivo",
                            "en": "Path where the file will be saved",
                            "pr": "Caminho onde o arquivo será salvo"
                        },
                        "help": {
                            "es": "Coloque la ruta donde se guardara el archivo",
                            "en": "Enter the file path where the file will be saved",
                            "pr": "Digite o caminho onde o arquivo será salvo"
                        },
                        "id": "path_file",
                        "css": "col-md-12",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Documento",
                            "en": "Document",
                            "pr": "Documento"
                        },
                        "title": {
                            "es": "Columna que almacena el nombre del archivo",
                            "en": "Column that stores the file name",
                            "pr": "Coluna que armazena o nome do arquivo"
                        },
                        "description": {
                            "es": "Nombre de la columna que almacena el nombre del archivo",
                            "en": "Name of the column that stores the file name",
                            "pr": "Nome da coluna que armazena o nome do arquivo"
                        },
                        "id": "columna_nombre",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Archivo",
                            "en": "File",
                            "pr": "Arquivo"
                        },
                        "title": {
                            "es": "Columna que almacena el contenido del archivo",
                            "en": "Column that stores the file content",
                            "pr": "Coluna que armazena o conteúdo do arquivo"
                        },
                        "description": {
                            "es": "Nombre de la columna que almacena el contenido del archivo",
                            "en": "Name of the column that stores the file content",
                            "pr": "Nome da coluna que armazena o conteúdo do arquivo"
                        },
                        "id": "columna_contenido",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    }
                ]
            },
            "video_youtube": "",
            "icon": "data:image/png;base64,[encoded data, 27148 characters]",
            "module": "DownloadFileDB",
            "module_name": "SQLServer_",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": true
        },
        {
            "en": {
                "title": "Create a SP with variables",
                "description": "Create the Store Procedure with variables",
                "title_options": "Select Option",
                "options": null
            },
            "es": {
                "title": "Crear un SP con variables",
                "description": "Crea un Store Procedure con variables",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "pr": {
                "title": "Crie um SP com variáveis",
                "description": "Crie um Store Procedure com variáveis",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "inputs": [
                    {
                        "type": "input",
                        "placeholder": "Conn1",
                        "title": {
                            "es": "Sesión:",
                            "en": "Session:",
                            "pr": "Sessão"
                        },
                        "description": {
                            "es": "Nombre de la sesión",
                            "en": "Session's name",
                            "pr": "Nome da sessão"
                        },
                        "id": "session",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "TestDB_GetAll",
                            "en": "TestDB_GetAll",
                            "pr": "TestDB_GetAll"
                        },
                        "title": {
                            "es": "Nombre del SP",
                            "en": "SP's name",
                            "pr": "Nome de SP"
                        },
                        "description": {
                            "es": "Nombre del SP",
                            "en": "SP's name",
                            "pr": "Nome de SP"
                        },
                        "help": {
                            "es": "NombreDB_NombreSP",
                            "en": "NameDB_NameSP",
                            "pr": "NomeDB_NomeSP"
                        },
                        "id": "spName",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "@LastName nvarchar(50), @FirstName nvarchar(50)",
                            "en": "@LastName nvarchar(50), @FirstName nvarchar(50)",
                            "pr": "@LastName nvarchar(50), @FirstName nvarchar(50)"
                        },
                        "title": {
                            "es": "Variables del SP",
                            "en": "SP's variables",
                            "pr": "Variáveis de SP"
                        },
                        "description": {
                            "es": "Variables del SP (separadas por coma)",
                            "en": "SP's variables (separated by comma)",
                            "pr": "Variáveis de SP (separadas por vírgula)"
                        },
                        "id": "spVariables",
                        "css": "col-md-12",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "textarea",
                        "placeholder": {
                            "es": "SELECT * FROM dbo.Table WHERE LastName = @LastName AND FirstName = @FirstName",
                            "en": "SELECT * FROM dbo.Table WHERE LastName = @LastName AND FirstName = @FirstName",
                            "pr": "SELECT * FROM dbo.Table WHERE LastName = @LastName AND FirstName = @FirstName"                     
                        },
                        "title": {
                            "es": "Query",
                            "en": "Query",
                            "pr": "Query"
                        },
                        "description": {
                            "es": "Query del SP (lo contenido entre BEGIN y END)",
                            "en": "SP's query (what it is between BEGIN and END)",
                            "pr": "Query do SP (o que está contido entre BEGIN e END)"
                        },
                        "help": {
                            "es": "Query del SP (lo contenido entre BEGIN y END)",
                            "en": "SP's query (what it is between BEGIN and END)",
                            "pr": "Query do SP (o que está contido entre BEGIN e END)"
                        },
                        "id": "spQuery",
                        "css": "col-md-12",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    }
                ]
            },
            "video_youtube": "",
            "icon": "data:image/png;base64,[encoded data, 27148 characters]",
            "module": "createSp",
            "module_name": "SQLServer_",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": false
        },
        {
            "en": {
                "title": "Get SPs",
                "description": "Get the available Store Procedures",
                "title_options": "Select Option",
                "options": null
            },
            "es": {
                "title": "Obtener SPs",
                "description": "Obtén los Store Procedures disponibles",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "pr": {
                "title": "Obter SPs",
                "description": "Obtenha os Store Procedures disponíveis",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "inputs": [
                    {
                        "type": "input",
                        "placeholder": "Conn1",
                        "title": {
                            "es": "Sesión:",
                            "en": "Session:",
                            "pr": "Sessão"
                        },
                        "description": {
                            "es": "Nombre de la sesión",
                            "en": "Session name",
                            "pr": "Nome da sessão"
                        },
                        "id": "session",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Variable",
                            "en": "Variable",
                            "pr": "Variable"
                        },
                        "title": {
                            "es": "Asignar a variable:",
                            "en": "Assign to var:",
                            "pr": "Assign to var:"
                        },
                        "description": {
                            "es": "Asignar el resultado a una variable",
                            "en": "Assign the result to a variable",
                            "pr": "Assign the result to a variable"
                        },
                        "remove_vars": true,
                        "id": "whereToStoreData",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    }
                ]
            },
            "video_youtube": "",
            "icon": "data:image/png;base64,[encoded data, 27148 characters]",
            "module": "getSps",
            "module_name": "SQLServer_",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": false
        },
        {
            "en": {
                "title": "SP to execute",
                "description": "To see the SPs you must connect to the DB and do not close the conection until you selected the Store Procedure",
                "title_options": "Select Option",
                "options": null
            },
            "es": {
                "title": "SP a ejecutar",
                "description": "Para ver los SP debes conectarte a la DB sin cerrar la conexion hasta que hayas seleccionado el Store Procedure",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "pr": {
                "title": "SP para executar",
                "description": "Para ver os SPs, você deve se conectar ao DB sem fechar a conexão até selecionar o Store Procedure",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "style": "width:1000px;",
                "inputs": [
                    {
                    "type": "html",
                    "title": {
                        "es": "Seleccione el SP",
                        "en": "Select the SP",
                        "pr": "Selecione o SP"
                    },
                    "description": {
                        "es": "Para ver los SP debes conectarte a la DB sin cerrar la conexion hasta que hayas seleccionado el Store Procedure",
                        "en": "To see the SPs you must connect to the DB and do not close the conection until you selected the Store Procedure",
                        "pr": "Para ver os SPs, você deve se conectar ao DB sem fechar a conexão até selecionar o Store Procedure"
                    },
                    "src": "index.html",
                    "id": "html",
                    "css": "col-md-12",
                    "style": "height:350px;",
                    "data_type": "str",
                    "default": null,
                    "required": true
                    },
                    {
                        "type": "input",
                        "placeholder": "Conn1",
                        "title": {
                            "es": "Sesión:",
                            "en": "Session:",
                            "pr": "Sessão"
                        },
                        "description": {
                            "es": "Nombre de la sesión",
                            "en": "Session name",
                            "pr": "Nome da sessão"
                        },
                        "id": "session",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": "dbo",
                        "title": {
                            "es": "Esquema:",
                            "en": "Schema:",
                            "pr": "Sessão"
                        },
                        "description": {
                            "es": "Nombre del esquema",
                            "en": "Schema Name",
                            "pr": "Nome da sessão"
                        },
                        "id": "schema",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "Variable",
                            "en": "Variable",
                            "pr": "Variable"
                        },
                        "title": {
                            "es": "Asignar a variable:",
                            "en": "Assign to var:",
                            "pr": "Assign to var:"
                        },
                        "description": {
                            "es": "Variable donde se guardará el resultado",
                            "en": "Var where the result will be stored",
                            "pr": "Var where the result will be stored"
                        },
                        "remove_vars": true,
                        "id": "whereToStoreData",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    }
                ]
            },
            "video_youtube": "",
            "icon": "data:image/png;base64,[encoded data, 27148 characters]",
            "module": "getSelectSps",
            "module_name": "SQLServer_",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": false
        },
        {
            "en": {
                "title": "Delete a SP",
                "description": "Delete the indicated Store Procedure",
                "title_options": "Select Option",
                "options": null
            },
            "es": {
                "title": "Borrar un SP",
                "description": "Eliminar el Store Procedure indicado",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "pr": {
                "title": "Excluir um SP",
                "description": "Exclua o Store Procedure indicado",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "inputs": [
                    {
                        "type": "input",
                        "placeholder": "Conn1",
                        "title": {
                            "es": "Sesión:",
                            "en": "Session:",
                            "pr": "Sessão"
                        },
                        "description": {
                            "es": "Nombre de la sesión",
                            "en": "Session name",
                            "pr": "Nome da sessão"
                        },
                        "id": "session",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    },
                    {
                        "type": "input",
                        "placeholder": {
                            "es": "TestDB_GetAll",
                            "en": "TestDB_GetAll",
                            "pr": "TestDB_GetAll"
                        },
                        "title": {
                            "es": "Nombre del SP",
                            "en": "SP's name",
                            "pr": "Nome de SP"
                        },
                        "description": {
                            "es": "Nombre del Store Procedure",
                            "en": "Store Procedure's name",
                            "pr": "Nome do Store Procedure"
                        },
                        "help": {
                            "es": "NombreDB_NombreSP",
                            "en": "NameDB_NameSP",
                            "pr": "NomeDB_NomeSP"
                        },
                        "id": "spName",
                        "css": "col-md-6",
                        "data_type": "str",
                        "default": null,
                        "required": true
                    }
                ]
            },
            "video_youtube": "",
            "icon": "data:image/png;base64,[encoded data, 27148 characters]",
            "module": "deleteSp",
            "module_name": "SQLServer_",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": false
        },
        {
            "en": {
                "title": "Close connection",
                "description": "Close the connection to SQLServer",
                "title_options": "Select Option",
                "options": null
            },
            "es": {
                "title": "Cerrar conexión",
                "description": "Cierra la conexión con SQLServer",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "pr": {
                "title": "Desligar conexão",
                "description": "Desligar a conexão com SQLServer",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-md",
                "inputs": [
                    {
                        "type": "input",
                        "placeholder": "Conn1",
                        "title": {
                            "es": "Sesión:",
                            "en": "Session:",
                            "pr": "Sessão"
                        },
                        "id": "session",
                        "css": "col-md-12",
                        "data_type": "str",
                        "default": null,
                        "required": false
                    }
                ]
            },
            "video_youtube": "aMV6cXPMMSo",
            "icon": "data:image/png;base64,[encoded data, 27148 characters]",
            "module": "close",
            "module_name": "SQLServer_",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": true
        }
    ]
}